| AAX SDK 2.6.1 Avid Audio Extensions Development Kit

- Welcome
- Manual
- Classes
- Files
- Lists
- Support

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
List of all members | Public Member Functions
AAX_IACFPropertyMap Class Referenceabstract

`#include <AAX_IACFPropertyMap.h>`

Inheritance diagram for AAX_IACFPropertyMap:
[legend]
Collaboration diagram for AAX_IACFPropertyMap:
[legend]

## Description

Versioned interface for an AAX_IPropertyMap.

## Public Member Functions
virtual AAX_CBoolean | GetProperty (AAX_EProperty inProperty, AAX_CPropertyValue *outValue) const =0
| Get a property value from a property map.
virtual AAX_Result | AddProperty (AAX_EProperty inProperty, AAX_CPropertyValue inValue)=0
| Add a property to a property map.
virtual AAX_Result | RemoveProperty (AAX_EProperty inProperty)=0
| Remove a property from a property map.
Public Member Functions inherited from IACFUnknown
virtual BEGIN_ACFINTERFACE ACFRESULT ACFMETHODCALLTYPE | QueryInterface (const acfIID &iid, void **ppOut)=0
| Returns pointers to supported interfaces.
virtual acfUInt32 ACFMETHODCALLTYPE | AddRef (void)=0
| Increments reference count.
virtual acfUInt32 ACFMETHODCALLTYPE | Release (void)=0
| Decrements reference count.

## Member Function Documentation

## ◆ GetProperty()

virtual AAX_CBoolean AAX_IACFPropertyMap::GetProperty | ( | AAX_EProperty | inProperty,
|  | AAX_CPropertyValue * | outValue
| ) |  | const
| pure virtual

Get a property value from a property map.

Returns true if the selected property is supported, false if it is not

Parameters

  [in] | inProperty | The property ID
  [out] | outValue | The property value

## ◆ AddProperty()

virtual AAX_Result AAX_IACFPropertyMap::AddProperty | ( | AAX_EProperty | inProperty,
|  | AAX_CPropertyValue | inValue
| ) |  |
| pure virtual

Add a property to a property map.

Note
  This method may return an error if adding the property was unsuccessful. If there is a failure when adding a required property then registration of the relevant description element must be abandoned and the plug-in's description logic should proceed to the next element.

Parameters

  [in] | inProperty | The property ID.
  [in] | inValue |

## ◆ RemoveProperty()

virtual AAX_Result AAX_IACFPropertyMap::RemoveProperty | ( | AAX_EProperty | inProperty | ) |
| pure virtual

Remove a property from a property map.

Parameters

  [in] | inProperty | The property ID.

The documentation for this class was generated from the following file:

- AAX_IACFPropertyMap.h